Jump to content

Problème pas très important sous Lubuntu 12.04


Recommended Posts

Bonjour à tous,

Il y a quelque jours j'ai passé mon laptop de Lubuntu 11.10 à 12.04, tous marche bien sauf quelques ralentissement que je n'avais

avant, et je me suis aperçue, que dans cette version il ont ajouter une Logithèque.

Je l'ai donc utilisé pour installer quelque soft : Audacity, Firefox, un Jeu, Un tuner de guitare que j'ai par la suite désinstaller.

Mais depuis la logithèque ne veut plus se lancer ! C'est vraiment chi*** :)

Avez une solution qui traîne dans le coin ?

Sinon j'ai un autre petit blême mais je peut m'en passer, quelques fois je suis Youtube avec Chromium qui a d'ailleur évoluer en version 18, se met

à planter comme sa soit en lancant une vidéo, alors je fait F5 et sa remarche et des fois pas...

Mais des je suis à la fin de la vidéo, il reste genre 2-3 secondes et la PAF "Il est mort Jim" Rhaa.

Voila si vous une idée tout de même à de quoi cela peut t'il venir ?

Copaindu49

Link to comment
Share on other sites

D'accord, pour ce qui est des ralentissements tu peux aussi lancer top dans un terminal et regarder quels sont les processus les plus gourmands en occupation cpu (par défaut top trie les processus de haut en bas selon leur consommation cpu, pour un tri en fonction de la consommation mémoire appuie sur F, puis n puis Enter). Identifier le(s) processus responsable(s) de ces ralentissements te mettra peut-être sur la bonne piste.

Pour les vidéos qui plantent il faudrait voir si le problème se reproduit avec d'autres navigateurs (firefox, opera). Ça peut venir de flash aussi, peut-être qu'une réinstallation du navigateur ou de flash arrangera les choses.

Sinon, mais ça n'engage que moi, je n'aime pas passer d'une version à une autre via une mise à jour, je préfère formater la partition de l'ancienne version et installer la nouvelle dessus via un live-cd / live-usb pour être sûr de repartir sur de bonnes bases.

Link to comment
Share on other sites

Ok je testerais sa !

Ah ouais tu refait une réinstallations carrément, mais par exemple j'ai le CD de Lubuntu 11.10 il me semble que il le dise si il y a une nouvelle version en

bootant sur le cd ? En l’occurrence la 12.04, en tous cas il me semble que oui et c'est peut être se que je vais faire !

Link to comment
Share on other sites

J'avais eu des problèmes une fois avec le fichier contenant les urls des dépôts (/etc/apt/sources.list) qui après une mise à jour contenait encore des vieilles adresses propres à l'ancienne version ...

Sinon une réinstallation c'est sûr que c'est pas pratique dans la mesure où tu dois réinstaller tes programmes et les configurer à nouveau.

À la rigueur pour ne pas avoir à reconfigurer les paquets tu peux créer une partition /home séparée de celle de l'OS comme ça quand tu formates celle de l'OS, /home (qui contient souvent la configuration des programmes que tu installes) reste intacte.

Pour ce qui est des paquets déjà installés, tu peux en obtenir une liste en tapant :

sudo dpkg --get-selections > liste.txt

(ce qui crée un fichier liste.txt contenant la liste des paquets installés). Puis les restaurer à partir de ce fichier en tapant :

sudo dpkg --set-selections < liste.txt

Ceci étant j'ai jamais tenté donc je ne te garantis pas que ça fonctionne.

Pour finir il y a peut-être encore plus simple que tout ceci ; je crois que depuis quelques temps ubuntu permet la synchronisation entre plusieurs ordinateurs :

Pour synchroniser les logiciels installés sur plusieurs ordinateurs, il faut aller dans Fichier → Synchronisation entre ordinateurs.

La logithèque vous propose de créer un compte Ubuntu Software Center. Remplir le formulaire si c'est la première fois sinon choisir « vous avez déjà un compte » pour se connecter avec un compte existant.

Rien de plus simple jusque là, il suffit de suivre les instructions. Ensuite, vous verrez un panneau latéral avec toutes les machines connectées à ce compte. En sélectionnant une des ces machines, vous pourrez voir les logiciels présents sur celle-ci qui ne le sont pas sur celle que vous utilisez actuellement et inversement.

Là encore je n'ai pas testé mais ça permet peut-être de récupérer plus facilement les logiciels installés après une réinstallation de l'OS.

Enfin de toute façon ne tente la réinstallation qu'en dernier recours si tu ne trouves pas d'autres solutions à tes problèmes.

Link to comment
Share on other sites

Oh tu sais c'est un vieux ordinateur portable, et je n'ai quasi rien d'installer, juste 2-3 fichier de photos et de musique, et minecraft. Pour internet c'est la

synchronisation des mot de passe et des marques-pages entre plusieurs ordinateurs.

Sa ne me dérangerait aucunement de refaire un formatage.

Histoire d'avoir un OS bien propre ;)

Link to comment
Share on other sites

Salut,

tu as fait la mis à jour comment ? elle a bien été faite en entier ?

tu as essayé de le connecter à internet et de lui faire "finir" la mise à jour au besoin ?

sudo apt-get update

sudo dpkg --configure -a

sudo apt-get dist-upgrade.

sudo apt-get upgrade

Link to comment
Share on other sites

J'ai fait la mise à jour par le biai du gestionnaire de mise à jour.

Je me souvient que à un moment il y a eu une erreur de paquet qui c'était produit mais j'ai fait continuer et sa à continuer.

Oui elle s'est terminée entièrement, j'ai du laissé tourner le pc 3-4H.

Link to comment
Share on other sites

Reuh, alors j'ai essayer software-center et sa marque :

ben@ben-Inspiron-6000:~$ software-center

Erreur de segmentation (core dumped)

ben@ben-Inspiron-6000:~$

C'est bien comme cela qu'il faut l'écrire parce que lancer des commandes et moi sa fait deux XD

Au moment même ou je te parle je "finis" la mise à jour via les 4 commandes, sa à l'air d'être finis d'ailleurs et à la fin de la console est marqué ceci :

Segmentation fault (core dumped)

dpkg : erreur de traitement de update-notifier-common (--unpack) :

le sous-processus script post-installation installé a retourné une erreur de sortie d'état 139

Aucun rapport « apport » écrit car MaxReports a déjà été atteint

Des erreurs ont été rencontrées pendant l'exécution :

update-notifier-common

E: Sub-process /usr/bin/dpkg returned an error code (1)

ben@ben-Inspiron-6000:~$

EDIT : Depuis que j'ai fait la mise à jour je ne peut plus visionner de vidéos flash malgré et je viens de vérifié j'ai la dernier version

de flashplayer.

L'ordi après sa à freezer, je l'ai reboot sa ma affiché "Could don't read this file" un truc comme sa, je l'ai rereboot et la sa marche mais

toujours pas de trace de flash player.

Voila

Link to comment
Share on other sites

Pour le 2e message d'erreur je sais pas mais pour le 1er il semblerait que ce soit un bug connu.

Tu peux lancer le centre de logiciels en tapant dans un terminal :

LD_PRELOAD=/usr/lib/libstdc++.so.6 software-center

L'autre solution consiste, enfin je crois (j'ai lu en diagonale ...), à revenir à une ancienne version du paquet libgl1-mesa-dri.

Apparemment ce paquet a été compilé dans Ubuntu Intrepid avec une option qui provoque ce bug sur certaines machines...

Link to comment
Share on other sites

Apres avoir éditer le message du dessus (je sais pas si tu l'a vu) j'ai essayer ta deuxième commande et voila se que sa affiche :

ben@ben-Inspiron-6000:~$ LD_PRELOAD=/usr/lib/libstdc++.so.6 software-center

ERROR: ld.so: object '/usr/lib/libstdc++.so.6' from LD_PRELOAD cannot be preloaded: ignored.

Erreur de segmentation (core dumped)

ben@ben-Inspiron-6000:~$

Y veut pas XD

Link to comment
Share on other sites

Sa donne sa :

ben@ben-Inspiron-6000:~$ dpkg -s libstdc++6

Package: libstdc++6

Status: install ok installed

Multi-Arch: same

Priority: important

Section: libs

Installed-Size: 1134

Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>

Architecture: i386

Source: gcc-4.6

Version: 4.6.3-1ubuntu5

Depends: gcc-4.6-base (= 4.6.3-1ubuntu5), libc6 (>= 2.11), libgcc1 (>= 1:4.1.1)

Pre-Depends: multiarch-support

Breaks: gcc-4.1, gcc-4.3 (<< 4.3.6-1), gcc-4.4 (<< 4.4.6-4), gcc-4.5 (<< 4.5.3-2)

Conflicts: scim (<< 1.4.2-1)

Description: GNU Standard C++ Library v3

This package contains an additional runtime library for C++ programs

built with the GNU compiler.

.

libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which

was included up to g++-2.95. The first version of libstdc++-v3 appeared

in g++-3.0.

Homepage: http://gcc.gnu.org/

Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>

ben@ben-Inspiron-6000:~$

Link to comment
Share on other sites

Avec ls /usr/lib | grep libstdc++ y a rien qui réagis :(

ben@ben-Inspiron-6000:~$ ls /usr/lib | grep libstdc++

ben@ben-Inspiron-6000:~$

Tu sais je pense que je vais pas me faire crotte, j'ai gravé l'iso de Lubuntu 12.04 et des demain je vais refaire un OS propre.

J'ai juste à sauvegarder 2-3 trucs important et hop ;)

Link to comment
Share on other sites

Il manque une bibliothèque c'est pour ça que l'astuce ne marche pas. De toute façon, ce n'est qu'une astuce le mieux serait peut-être de revenir à une ancienne version de libgl1-mesa-dri, mais je sais pas comment faire ni quelle version installer, attend quelqu'un de plus compétent, d'ici demain tu auras de nouvelles réponses je pense.

Link to comment
Share on other sites

Ok comme tu veux, je ne suis pas sûr que ça corrige le bug mais si ça ne te dérange pas tu peux tenter une réinstallation.

Sinon y'a peut-être encore un truc à tenter par la suite si le bug se reproduit ; si t'es en 32 bits tu peux essayer de télécharger ce fichier :

https://launchpad.net/ubuntu/natty/i386/libgl1-mesa-glx/7.10.1-0ubuntu1

et de l'installer en faisant : sudo dpkg -i /chemin_vers_le_deb_téléchargé.

Après je sais vraiment pas quoi tenter d'autre, en espérant que ça s'arrange. :chinois:

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...